{% extends 'base.html'%}

{% block title %}Home{% endblock %}

{% block content %}

    {% if todoitem_list and events_list and user.is_anonymous == False %}
    <!-- user.is_anonymous checks whether or not there is a user logged in -->
        <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
        
        <div class = "container mb-4">
            <div class = "row">
                <h3 class = "text-center mb-3">My Tasks</h3>
                <ul class = "text-center list-group col-lg-4 offset-lg-4">
                    {% for todoitem in todoitem_list %}
                        <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewtodoitem' todoitem.id %}">{{todoitem.task_name}}</a></li>
                    {% endfor %}    
                </ul>
            </div>
        </div>

        <div class = "container">
            <div class = "row">
                <h3 class = "text-center mb-3">My Events</h3>
                <ul class = "text-center list-group col-lg-4 offset-lg-4">
                    {% for event in events_list %}
                        <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' event.id %}">{{event.event_name}}</a></li>
                    {% endfor %}    
                </ul>
            </div>
        </div>
       
    {% elif todoitem_list.count == 0 and events_list.count == 0 and user.is_anonymous == False %}
        <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
        <div class = 'container mb-4'>
            <h3 class= 'text-center mb-3'>My Tasks</h3>
            <p class = "text-center my-3">No tasks have been created.</p>
        </div>
        <div class = 'container mb-4'>
            <h3 class= 'text-center mb-3'>My Events</h3>
            <p class = "text-center my-3">No events have been listed.</p>
        </div>

    {% elif todoitem_list.count == 0 and events_list and user.is_anonymous == False %}
    <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
    <p class = "text-center my-3">No tasks have been created.</p>

    <div class = "container">
        <div class = "row">
            <h3 class = "text-center mb-3">My Events</h3>
            <ul class = "text-center list-group col-lg-4 offset-lg-4">
                {% for event in events_list %}
                    <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' event.id %}">{{event.event_name}}</a></li>
                {% endfor %}    
            </ul>
        </div>
    </div>

    {% elif todoitem_list.count and events_list.count == 0 and user.is_anonymous == False %}
    <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
    
    <div class = "container mb-4">
        <div class = "row">
            <h3 class = "text-center mb-3">My Tasks</h3>
            <ul class = "text-center list-group col-lg-4 offset-lg-4">
                {% for todoitem in todoitem_list %}
                    <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' todoitem.id %}">{{todoitem.task_name}}</a></li>
                {% endfor %}    
            </ul>
        </div>
    </div>

    <div class = "container">
        <h3 class = "text-center mb-3">My Events</h3>
        <p class = "text-center my-3">No tasks have been created.</p>
    </div>

    {% else %}
        <h1 class = "text-center my-3">Welcome! You are not authorized to access this page.</h1>
        <p class = "text-center my-3"><a href = "{% url 'todolist:login' %}">hu u</a></p>
    {% endif %}

{% endblock %}